Skip to main content
Suppliers

Update supplier

This method requires the Suppliers:Update permission to be associated with your role.

PUT
/fm/suppliers/{supplier_id}
Authorizationstringheaderrequired

For accessing the API a valid token must be passed in all the queries in the 'Authorization' header.

A valid token is generated by the API and returned by the /authenticate method by supplying a valid username and password.

The following syntax must be used in the 'Authorization' header :

Bearer aaaaaa/bbbbbb.ccccccc.dddddd
supplier_idstringrequired

Supplier Id

Maximum string length: 10
Pattern: ^[1-9]{1}[0-9]{0,9}$
Delegated-Locking-Session-Idstringheader

(Optional) Locking responsibility will be delegated to the specified Session Id.

This header enables the client to instruct the API to merely verify the presence of locks with the specified session id, but not attempt to obtain them itself. It requires the DelegatedLocking permission to be associated with your role.

Maximum string length: 32
Pattern: ^[0-9a-f]{32}$
Audit-User-Idstringheader

(Optional) User Id to use for audit purposes. This header requires the Audit:UserIdOverride permission to be associated with your role.

Maximum string length: 5
Pattern: ^[1-9]{1}[0-9]*$

Body

application/vnd.catch-e-api.v1+json

JSON payload

aba_format_typeenum<string>default:supplier
Available options: supplier, payment-reference
abnstring
accountstring
account_contactstring
account_emailstring

Email address

account_phonestring

Phone number must follow e164 format.

Example: +61423456789
address1string
address2string
allow_duplicate_reference_flagenum<string>default:no
Available options: yes, no
bank_account_numberstring
bank_account_suffixstring
bank_bsbstring
bpay_biller_codenumber
channel_idstring
citystring
contactstring
country_idstring
credit_limitnumber
discount_daysstring
discount_prompt_paynumber
discount_volumnnumber
due_daysstring
emailstring

Email address

external_codestring
external_role_disclose_transactions_flagenum<string>
Available options: yes, no
faxstring
financierobject
gl_codestring
insurance_broker_fee_monthlynumber
interface_typeenum<string>
Available options: maclease, motorone, bmwdfe, boqef, st_george_nbi2, eric, maclease_partner, 255finance
labour_per_hour_retailnumber
labour_per_hour_retail_discountnumber
labour_ratenumber
labour_rate_datestring
mobilestring

Mobile number must follow e164 format.

Example: +61423456789
namestring
notestring
oil_price_per_litrenumber
parts_discountnumber
payee_idstring

Payee Id

payment_delivery_typeenum<string>
Available options: email, post
payment_duestring
payment_method_idstring

Payment method Id

phonestring

Phone number must follow e164 format.

Example: +61423456789
pl_export_flagenum<string>default:yes
Available options: yes, no
postcodestring
preferred_supplier_flagenum<string>default:no
Available options: yes, no
procurement_feenumber
rcti_flagenum<string>default:no
Available options: yes, no
salutationstring
stateenum<string>
Available options: VIC, NSW, ACT, QLD, WA, SA, TAS, NT, NZ
statusstring
sundries_costnumber
supplier_codestring
supplier_group_idstring
supplier_id_agentstring
supplier_payment_term_idstring
supplier_typeenum<string>
Available options: dealership, driver, service-centre, card-services, tyres, glass-repairs, financier, transport, detailing, disposal, body-repairs, artwork, insurer, broker, residual-insurer, maintenance-controller, rental, roadside, salary-packaging
tax_codestring
tax_code_freightstring
tax_idstring
template_id_cocstring
websitestring

Response

application/vnd.catch-e-api.v1+json

Supplier updated successfully

bodyobject